# Interface IntegerWrapResponse

A response with an integral numeric value, as BigInt.

#### Category

Requests

#### Hierarchy

- IntegerWrapResponse

- Defined in codec/lib/types.ts:831

#####
Index

### Properties

kind
partiallyRecognized?
reason?
value

## Properties

### kind

kind: "integer"

Indicates that this is a IntegerWrapResponse.

- Defined in codec/lib/types.ts:835

### `Optional` partiallyRecognized

partiallyRecognized?: true

If present, indicates that the input was recognized but not as an integer.

- Defined in codec/lib/types.ts:848

### `Optional` reason

reason?: string

If present, the reason the number wasn't recognized as an integer.

- Defined in codec/lib/types.ts:844

### value

value: bigint

The numeric value that was extracted, as a BigInt, or null, to indicate that either the number format wasn't recognized or wasn't an integer.

- Defined in codec/lib/types.ts:840

Generated using TypeDoc